Summary:	Tools for converting websites from using GIFs to using PNGs
Name:		gif2png
Version:	2.5.1
%define subrel 1
Release:	%mkrel 6
License:	MIT style
Group:		Graphics
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%{name}-%{version}.tar.bz2
Patch0:		gif2png-libpng.patch
Patch1:		gif2png-2.5.2-CVE-2009-5018.diff
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
Requires:	python
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description 
Tools for converting GIFs to PNGs. The program gif2png converts GIF files to
PNG files. The Python script web2png converts an entire web tree, also patching
HTML pages to keep IMG SRC references correct.

%prep

%setup -q
%patch0 -p0
%patch1 -p1 -b .CVE-2009-5018

%build
%configure
%make
 
%install
rm -rf %{buildroot}

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README NEWS COPYING AUTHORS
%{_mandir}/*/*
%{_bindir}/*




%changelog
* Fri Jan 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-6.1mdv2010.0
- P1: security fix for CVE-2009-5018 (redhat)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.1-6mdv2010.0
+ Revision: 424877
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-5mdv2009.1
+ Revision: 316751
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.1-4mdv2009.0
+ Revision: 221071
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.1-3mdv2008.1
+ Revision: 150107
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-2mdv2007.1
+ Revision: 145597
- added a patch from genttoo to make it compile with libpng-1.2.12 (P0)
- Import gif2png

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-2mdv2007.1
- use the %%mrel macro

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 2.5.1-1mdk
- New release 2.5.1

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.4.7-2mdk
- Rebuild

